Get Agent
Retrieve a single agent by ID, including its full workflow definition
Returns the full agent including workflow_definition (nodes and edges), template_context_variables, workflow_configurations, and run statistics.
GET
/api/v1/workflow/fetch/{workflow_id}Parameters#
| Name | Located in | Type | Required | Description |
|---|---|---|---|---|
workflow_id | path | integer | Yes | — |
Responses#
200 — Successful Response
{
"id": 0,
"name": "Example Name",
"status": "string",
"created_at": "2026-01-15T10:30:00Z",
"workflow_definition": {},
"current_definition_id": 0,
"template_context_variables": {},
"call_disposition_codes": {},
"total_runs": 0,
"workflow_configurations": {}
}404 — Not found
422 — Validation Error
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}